--- Source/JavaScriptCore/llint/LowLevelInterpreter.asm.orig	2020-11-21 17:09:35.000000000 +0000
+++ Source/JavaScriptCore/llint/LowLevelInterpreter.asm	2020-11-21 17:14:11.860537931 +0000
@@ -842,7 +842,13 @@
         move index, t2
         storep t1, [a0, t2, 8]
     elsif ARM or ARMv7 or ARMv7_TRADITIONAL
-        mvlbl (label - _relativePCBase), t2
+        if ARM
+           ldrlbl t2, label
+           ldrlbl t3, _relativePCBase
+           subp t2, t3, t2
+        else
+           mvlbl (label - _relativePCBase), t2
+        end
         addp t2, t1, t2
         move index, t3
         storep t2, [a0, t3, 4]
